Subject: Re: bug#56561: 29.0.50; Infloop in try_window

From: Po Lu <[email-masked]>
Date: Sat, 16 Jul 2022 19:07:26 +0800

Eli Zaretskii <[email-masked]> writes:

> That is true.  Which part of detecting the above situation sounds
> problematic to you?  I'm asking because I'm uncertain what should I
> explain in this regard.

The problem is how to detect that the glyph matrix is indeed too small
to fit all of the tooltip text, and not too small due to the bug being
triggered?  The size calculated later on is not useful: it is returned
in pixels, and doesn't take into account any line wrapping (or other
similar operations) try_window might perform.